edge.icc File Reference

`edge` - reference element More...

Go to the source code of this file.

## Macros

#define | _RHEO_EDGE_ICC

## Variables

const size_t | dimension = 1
const Float | measure = 1
const size_t | n_vertex = 2
const point | vertex [n_vertex]

## Detailed Description

`edge` - reference element

Definition in file edge.icc.

## Macro Definition Documentation

## _RHEO_EDGE_ICC

#define _RHEO_EDGE_ICC

Definition at line 2 of file edge.icc.

## Variable Documentation

## dimension

const size_t dimension = 1

Definition at line 64 of file edge.icc.

## measure

const Float measure = 1

Definition at line 65 of file edge.icc.

## n_vertex

const size_t n_vertex = 2

Definition at line 66 of file edge.icc.

## vertex

const point vertex[n_vertex]

Initial value:
= {
point(0),
point(1) }
point
see the point page for the full documentation

Definition at line 67 of file edge.icc.